summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config-22/LinHES.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-11-13 07:22:22 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-11-13 07:22:22 (GMT)
commitf1e3c5f9132ab7fdf1e1d33f6020a82a9869096a (patch)
tree6b681fc663d7f8a07863185f4313d39cedba655a /abs/core-testing/LinHES-config-22/LinHES.install
parent420f4c0c8157237d3b4b682a27db498b80c9e0f3 (diff)
downloadlinhes_pkgbuild-f1e3c5f9132ab7fdf1e1d33f6020a82a9869096a.zip
linhes_pkgbuild-f1e3c5f9132ab7fdf1e1d33f6020a82a9869096a.tar.gz
linhes_pkgbuild-f1e3c5f9132ab7fdf1e1d33f6020a82a9869096a.tar.bz2
LinHES-config-22: first check in of LinHES-config-22
Diffstat (limited to 'abs/core-testing/LinHES-config-22/LinHES.install')
-rw-r--r--abs/core-testing/LinHES-config-22/LinHES.install78
1 files changed, 78 insertions, 0 deletions
diff --git a/abs/core-testing/LinHES-config-22/LinHES.install b/abs/core-testing/LinHES-config-22/LinHES.install
new file mode 100644
index 0000000..a0a9d31
--- /dev/null
+++ b/abs/core-testing/LinHES-config-22/LinHES.install
@@ -0,0 +1,78 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+ rm -f /etc/issue
+ rm -f /etc/arch-release
+
+}
+
+# arg 1: the new package version
+post_install() {
+ if [ ! -f /etc/blacklist.package ]
+ then
+ echo "List of packages to ignore" > /etc/blacklist.package
+ echo "one package per line" >> /etc/blacklist.package
+ fi
+
+LINE="mythtv ALL = NOPASSWD:/usr/MythVantage/bin/mythvantage"
+LINE1="mythtv ALL = NOPASSWD:/usr/MythVantage/bin/MythVantage"
+for i in "$LINE" "$LINE1"
+do
+ cp /etc/sudoers /etc/sudoers.bak
+ grep -q "$i" /etc/sudoers
+ if [ $? != 0 ]
+ then
+ echo "$i" >> /etc/sudoers
+ visudo -cf /etc/sudoers
+ if [ ! $? = 0 ]
+ then
+ cp /etc/sudoers.bak /etc/sudoers
+ echo $i
+ echo "Error adding files"
+ exit 1
+ fi
+ fi
+done
+
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ /bin/true
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ . /etc/profile
+ ps -ef|grep mysqld|grep -v grep
+ status=$?
+ echo "status $status"
+ if [ $status = 0 ]
+ then
+ restore_default_settings.sh -c load
+ fi
+ if [ ! -f /etc/blacklist.package ]
+ then
+ echo "List of packages to ignore" > /etc/blacklist.package
+ echo "one package per line" >> /etc/blacklist.package
+ fi
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+$op $*